Data Fields

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- edje_signals : _Efl_Ui_Layout_Data
- s : _Edje_External_Param, _Edje_External_Param_Info
- same_screen : _Ecore_Event_Key, _Ecore_Event_Mouse_Button, _Ecore_Event_Mouse_Move, _Ecore_Event_Mouse_Wheel
- saved_memory : _Evas_Cserve_Stats
- saved_memory_peak : _Evas_Cserve_Stats
- saved_time_image_data_load : _Evas_Cserve_Stats
- saved_time_image_header_load : _Evas_Cserve_Stats
- scale : _Old_Edje_Part
- scale_down : _Elm_Store_Item_Mapping_Icon
- scale_hint : _Old_Edje_Part_Description_Spec_Image
- scale_up : _Elm_Store_Item_Mapping_Icon
- schedule : _Eina_Future_Scheduler
- scheduler : _Eina_Future_Schedule_Entry
- script : _Old_Edje_Part_Collection
- seat_id : Elm_Cnp_Event_Selection_Changed
- section : Efreet_Ini
- seek : _Ecore_Audio_Vio
- select_mode : _Old_Edje_Part
- selected : _Elm_Index_Item_Data
- selected_item : _Elm_Toolbar_Data
- selection : _Ecore_Win32_Event_Selection_Clear, _Ecore_Win32_Event_Selection_Notify
- send_event : _Ecore_X_Event_Window_Hide
- server : _Ecore_Con_Event_Proxy_Bind, _Ecore_Con_Event_Server_Add, _Ecore_Con_Event_Server_Data, _Ecore_Con_Event_Server_Del, _Ecore_Con_Event_Server_Error, _Ecore_Con_Event_Server_Upgrade, _Ecore_Con_Event_Server_Write, _Ecore_Ipc_Event_Server_Add, _Ecore_Ipc_Event_Server_Data, _Ecore_Ipc_Event_Server_Del
- set : _Old_Edje_Part_Description_Spec_Image
- sets : _Old_Edje_Image_Directory
- setup : _Eina_Value_Type
- shared : _Eina_File
- shortname : _Ecore_Getopt_Desc
- shortp : _Ecore_Getopt_Value
- shortv : _Ecore_Getopt_Desc_Store
- show : _Ecore_IMF_Context_Class, _Evas_Smart_Class, _Evas_Video_Surface
- shutdown : _Ecore_Buffer_Backend, _Eina_Mempool_Backend
- signal_emit : _Edje_External_Type
- signalled : _Ecore_Exe_Event_Del
- signals : _Efl_Ui_Layout_Data, _Eldbus_Introspection_Interface, _Eldbus_Service_Interface_Desc
- size : _Ecore_Con_Event_Client_Data, _Ecore_Con_Event_Client_Write, _Ecore_Con_Event_Server_Data, _Ecore_Con_Event_Server_Write, _Ecore_Con_Event_Url_Data, _Ecore_Exe_Event_Data, _Ecore_Exe_Event_Data_Line, _Ecore_Ipc_Event_Client_Data, _Ecore_Ipc_Event_Server_Data, _Eet_Data_Descriptor_Class, _Eet_Entry, _Eina_Rect, _Eina_Stat, _Eina_Value_Struct_Desc, _Elm_Store_Item_Mapping_Photo, Efreet_Icon_Theme_Directory, Eina_Debug_Packet_Header
- size_classes : _Old_Edje_File
- slider_indicator_visible_mode : _Elm_Config
- smooth : _Elm_Store_Item_Mapping_Icon
- sort_id : _Elm_Store_Item_Info
- source : _Eio_Progress, _Eio_Sentry_Event
- spin_timer : _Elm_Spinner_Data
- standard_name : _Elm_Store_Item_Mapping_Icon
- start : _Eina_File_Line
- start_index : _Ecore_IMF_Preedit_Attr
- startup_notify : _Efreet_Desktop
- startup_wm_class : _Efreet_Desktop
- state : _Ecore_X_Event_Window_Property, _Edje_Part_Image_Use
- state_get : _Elm_Gen_Item_Class_Functions
- state_set : _Edje_External_Type
- statgen : _Eina_File
- statistics : _Eina_Mempool_Backend
- status : _Ecore_Con_Event_Url_Complete
- stencil_bits : _Evas_GL_Config
- step : _Edje_External_Param_Info, _Eina_Array, _Eina_Inarray, _Eina_Value_Array, _Elm_Flipselector_Data, _Elm_Spinner_Data
- storage : _Eina_Future_Desc
- str : _Edje_Message_String, _Edje_Message_String_Float, _Edje_Message_String_Float_Set, _Edje_Message_String_Int, _Edje_Message_String_Int_Set, _Edje_Message_String_Set
- str_alloc : _Eet_Data_Descriptor_Class
- str_direct_alloc : _Eet_Data_Descriptor_Class
- str_direct_free : _Eet_Data_Descriptor_Class
- str_free : _Eet_Data_Descriptor_Class
- strict : _Ecore_Getopt
- strikethrough : _Evas_Textgrid_Cell
- string : _Ecore_IMF_Event_Key_Down, _Ecore_IMF_Event_Key_Up, _Evas_Event_Key_Down, _Evas_Event_Key_Up
- strp : _Ecore_Getopt_Value
- strv : _Ecore_Getopt_Desc_Store
- styles : _Old_Edje_File
- sub_title_set : _Elm_Prefs_Page_Iface
- subs : _Efl_Ui_Layout_Data
- subtype : _Eina_Value_Array, _Eina_Value_Hash, _Eina_Value_List
- success : _Eina_Future_Cb_Easy_Desc
- success_type : _Eina_Future_Cb_Easy_Desc
- suffix : _Eina_Future_Cb_Console_Desc, _Eina_Future_Cb_Log_Desc
- surface : _Evas_Native_Surface
- swipe : _Elm_Genlist_Data